Data Fields - Enumerator
Author: Emanuel Eichhammer

· · · ·
Here is a list of all documented enum values with links to the struct/union documentation for each field:

### - a -

- arAbsolute : QCPPolarAxisRadial
- arAngularAxis : QCPPolarAxisRadial
- atBottom : QCPAxis
- atLeft : QCPAxis
- atRight : QCPAxis
- atTop : QCPAxis

### - b -

- bsCalligraphic : QCPItemBracket
- bsCurly : QCPItemBracket
- bsEllipse : QCPSelectionDecoratorBracket
- bsHalfEllipse : QCPSelectionDecoratorBracket
- bsPlus : QCPSelectionDecoratorBracket
- bsRound : QCPItemBracket
- bsSquare : QCPItemBracket
- bsSquareBracket : QCPSelectionDecoratorBracket
- bsUserStyle : QCPSelectionDecoratorBracket

### - c -

- ciHSV : QCPColorGradient
- ciRGB : QCPColorGradient
- csCandlestick : QCPFinancial
- csOhlc : QCPFinancial

### - e -

- esBar : QCPLineEnding
- esDiamond : QCPLineEnding
- esDisc : QCPLineEnding
- esFlatArrow : QCPLineEnding
- esHalfBar : QCPLineEnding
- esLineArrow : QCPLineEnding
- esNone : QCPLineEnding
- esSkewedBar : QCPLineEnding
- esSpikeArrow : QCPLineEnding
- esSquare : QCPLineEnding
- etKeyError : QCPErrorBars
- etValueError : QCPErrorBars

### - f -

- foColumnsFirst : QCPLayoutGrid
- foRowsFirst : QCPLayoutGrid
- fsAsciiFractions : QCPAxisTickerPi
- fsFloatingPoint : QCPAxisTickerPi
- fsUnicodeFractions : QCPAxisTickerPi

### - g -

- gpCandy : QCPColorGradient
- gpCold : QCPColorGradient
- gpGeography : QCPColorGradient
- gpGrayscale : QCPColorGradient
- gpHot : QCPColorGradient
- gpHues : QCPColorGradient
- gpIon : QCPColorGradient
- gpJet : QCPColorGradient
- gpNight : QCPColorGradient
- gpPolar : QCPColorGradient
- gpSpectrum : QCPColorGradient
- gpThermal : QCPColorGradient

### - i -

- ipBorderAligned : QCPLayoutInset
- ipFree : QCPLayoutInset

### - l -

- limAbove : QCustomPlot
- limBelow : QCustomPlot
- lmBuffered : QCPLayer
- lmLogical : QCPLayer
- lsImpulse : QCPGraph
- lsInside : QCPAxis
- lsLine : QCPCurve, QCPGraph, QCPPolarGraph
- lsNone : QCPCurve, QCPGraph, QCPPolarGraph
- lsOutside : QCPAxis
- lsStepCenter : QCPGraph
- lsStepLeft : QCPGraph
- lsStepRight : QCPGraph

### - n -

- nhHighestColor : QCPColorGradient
- nhLowestColor : QCPColorGradient
- nhNanColor : QCPColorGradient
- nhNone : QCPColorGradient
- nhTransparent : QCPColorGradient

### - p -

- pmDefault : QCPPainter
- pmNoCaching : QCPPainter
- pmNonCosmetic : QCPPainter
- pmVectorized : QCPPainter
- ptAbsolute : QCPItemPosition
- ptAxisRectRatio : QCPItemPosition
- ptPlotCoords : QCPItemPosition
- ptViewportRatio : QCPItemPosition

### - r -

- rpImmediateRefresh : QCustomPlot
- rpQueuedRefresh : QCustomPlot
- rpQueuedReplot : QCustomPlot
- rpRefreshHint : QCustomPlot

### - s -

- scrInnerRect : QCPLayoutElement
- scrOuterRect : QCPLayoutElement
- spAll : QCPScatterStyle
- spAxis : QCPAxis, QCPPolarAxisAngular, QCPPolarAxisRadial
- spAxisLabel : QCPAxis, QCPPolarAxisAngular, QCPPolarAxisRadial
- spBrush : QCPScatterStyle
- spItems : QCPLegend
- spLegendBox : QCPLegend
- spNone : QCPAxis, QCPLegend, QCPPolarAxisAngular, QCPPolarAxisRadial, QCPScatterStyle
- spPen : QCPScatterStyle
- spShape : QCPScatterStyle
- spSize : QCPScatterStyle
- spTickLabels : QCPAxis, QCPPolarAxisAngular, QCPPolarAxisRadial
- ssCircle : QCPScatterStyle
- ssCross : QCPScatterStyle
- ssCrossCircle : QCPScatterStyle
- ssCrossSquare : QCPScatterStyle
- ssCustom : QCPScatterStyle
- ssDiamond : QCPScatterStyle
- ssDisc : QCPScatterStyle
- ssDot : QCPScatterStyle
- ssMultiples : QCPAxisTickerFixed
- ssNone : QCPAxisTickerFixed, QCPScatterStyle
- ssPeace : QCPScatterStyle
- ssPixmap : QCPScatterStyle
- ssPlus : QCPScatterStyle
- ssPlusCircle : QCPScatterStyle
- ssPlusSquare : QCPScatterStyle
- ssPowers : QCPAxisTickerFixed
- ssSquare : QCPScatterStyle
- ssStar : QCPScatterStyle
- ssTriangle : QCPScatterStyle
- ssTriangleInverted : QCPScatterStyle
- stAbsolute : QCPBarsGroup
- stAxisRectRatio : QCPBarsGroup
- stLinear : QCPAxis, QCPPolarAxisRadial
- stLogarithmic : QCPAxis, QCPPolarAxisRadial
- stPlotCoords : QCPBarsGroup

### - t -

- tsCircle : QCPItemTracer
- tsCrosshair : QCPItemTracer
- tsNone : QCPItemTracer
- tsPlus : QCPItemTracer
- tssMeetTickCount : QCPAxisTicker
- tsSquare : QCPItemTracer
- tssReadability : QCPAxisTicker
- tuDays : QCPAxisTickerTime
- tuHours : QCPAxisTickerTime
- tuMilliseconds : QCPAxisTickerTime
- tuMinutes : QCPAxisTickerTime
- tuSeconds : QCPAxisTickerTime

### - u -

- upLayout : QCPLayoutElement
- upMargins : QCPLayoutElement
- upPreparation : QCPLayoutElement

### - w -

- wtAbsolute : QCPBars, QCPFinancial
- wtAxisRectRatio : QCPBars, QCPFinancial
- wtPlotCoords : QCPBars, QCPFinancial